Bug 1384403 (CVE-2016-8658) - CVE-2016-8658 kernel: Stack buffer overflow in brcmf_cfg80211_start_ap
Summary: CVE-2016-8658 kernel: Stack buffer overflow in brcmf_cfg80211_start_ap
Status: CLOSED WONTFIX
Alias: CVE-2016-8658
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160907,reported=2...
Keywords: Reopened, Security
Depends On: 1384405
Blocks: 1384406
TreeView+ depends on / blocked
 
Reported: 2016-10-13 08:56 UTC by Andrej Nemec
Modified: 2019-06-08 21:30 UTC (History)
35 users (show)

(edit)
Stack-based buffer overflow in the brcmf_cfg80211_start_ap() function in 'drivers/net/wireless/broadcom/brcm80211/brcmfmac/cfg80211.c' in the Linux kernel before 4.7.5 allows local users to cause a denial of service (system crash) or possibly have unspecified other impact via a long SSID Information Element in a command to a Netlink socket.
Clone Of:
(edit)
Last Closed: 2016-10-19 15:47:59 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-13 08:56:50 UTC
A stack based buffer overflow vulnerability was found in brcmf_cfg80211_start_ap() function. User-space can choose to omit NL80211_ATTR_SSID and only provide raw IE TLV data. When doing so it can provide SSID IE with length exceeding the allowed size. The driver further processes this IE copying it into a local variable without checking the length. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.

References:

http://seclists.org/oss-sec/2016/q4/111

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=ded89912156b1a47d940a0c954c43afbabd0c42c

Comment 1 Andrej Nemec 2016-10-13 08:58:42 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1384405]

Comment 2 Justin M. Forbes 2016-10-13 15:20:05 UTC
This was fixed in stable 4.7.5 currently available in updates for all supported Fedora releases.

Comment 4 Vladis Dronov 2016-10-19 15:45:16 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, as the code with the flaw is not present in the products listed.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.